<?php
/*
Plugin Name: Register Helper Example
Plugin URI: http://www.paidmembershipspro.com/wp/pmpro-customizations/
Description: Register Helper Initialization Example
Version: .2
Author: Stranger Studios
Author URI: http://www.strangerstudios.com
*/
//we have to put everything in a function called on init, so we are sure Register Helper is loaded
function my_pmprorh_init()
{
	//don't break if Register Helper is not loaded
	if(!function_exists( 'pmprorh_add_registration_field' )) {
		return false;
	}
	
	//define the fields
	$fields = array();
	$fields[] = new PMProRH_Field(
		'company',						// input name, will also be used as meta key
		'text',							// type of field
		array(
			'label'		=> 'Company',			// custom field label
			'size'		=> 40,				// input size
			'class'		=> 'company',			// custom class
			'profile'	=> true,			// show in user profile
			'required'	=> true,			// make this field required
			'levels'		=> array(1,2)		// only levels 1 and 2 should have the company field
		)
	);
	$fields[] = new PMProRH_Field(
		'referral',                   				// input name, will also be used as meta key
		'text',							// type of field
		array(
			'label'		=> 'Referral Code',		// custom field label
			'profile'	=> 'only_admin'			// only show in profile for admins
		)
	);
	$fields[] = new PMProRH_Field(
		'budget',						// input name, will also be used as meta key
		'select',						// type of field
		array(
			'options' => array(				// <option> elements for select field
				''		=> '',			// blank option - cannot be selected if this field is required
				'lessthan2000'	=> '&lt; $2,000',	// <option value="lessthan2000">&lt; $2,000</option>
				'2000to5000'	=> '$2,000-$5,000',	// <option value="2000to5000">$2,000-$5,000</option>
				'5000to10000'	=> '$5,000-$10,000',	// <option value="5000to10000">$5,000-$10,000</option>
				'morethan10000'	=> '&gt; $10,000',	// <option value="morethan10000">&gt; $10,000</option>
			)
		)
	);
	
	//add the fields into a new checkout_boxes are of the checkout page
	foreach($fields as $field)
		pmprorh_add_registration_field(
			'checkout_boxes',				// location on checkout page
			$field						// PMProRH_Field object
		);
	//that's it. see the PMPro Register Helper readme for more information and examples.
}
add_action( 'init', 'my_pmprorh_init' );
